<?xml version="1.0" encoding="UTF-8"?>
<ehcache xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	updateCheck="false">

	<cacheManagerPeerProviderFactory
		class="net.sf.ehcache.distribution.RMICacheManagerPeerProviderFactory"
		properties="peerDiscovery=automatic, multicastGroupAddress=230.0.0.10, multicastGroupPort=4510, timeToLive=0" />

	<cacheManagerPeerListenerFactory
		class="net.sf.ehcache.distribution.RMICacheManagerPeerListenerFactory"
		properties="socketTimeoutMillis=5000" />

	<defaultCache eternal="false" maxElementsInMemory="10000"
		timeToLiveSeconds="3600">
		<cacheEventListenerFactory
			class="net.sf.ehcache.distribution.RMICacheReplicatorFactory"
			properties="replicateAsynchronously=true, replicatePuts=true, replicateRemovals=true, replicateUpdates=true, replicateUpdatesViaCopy=false" />
	</defaultCache>

	<cache name="monitoringContextProperties" eternal="false"
		maxElementsInMemory="10000" timeToLiveSeconds="3600">
		<cacheEventListenerFactory
			class="net.sf.ehcache.distribution.RMICacheReplicatorFactory"
			properties="replicateAsynchronously=true, replicatePuts=true, replicateRemovals=true, replicateUpdates=true, replicateUpdatesViaCopy=false" />
	</cache>
</ehcache>
